Qyra
ReferenceProjects

Get user activity

Get user activity for a project

GET/api/v1/analytics/user-activity/{projectUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Responses

200 — Success

{
  "results": {
    "chartViews": [
      {
        "slug": "string",
        "name": "string",
        "uuid": "string",
        "count": 0
      }
    ],
    "userMostViewedDashboards": [
      {
        "count": 0,
        "lastName": "string",
        "firstName": "string",
        "userUuid": "string",
        "dashboardSlug": "string",
        "dashboardUuid": "string",
        "dashboardName": "string"
      }
    ],
    "dashboardViews": [
      {
        "slug": "string",
        "name": "string",
        "uuid": "string",
        "count": 0
      }
    ],
    "chartWeeklyAverageQueries": [
      {
        "average_number_of_weekly_queries_per_user": "string",
        "date": "2024-01-01T00:00:00.000Z"
      }
    ],
    "chartWeeklyQueryingUsers": [
      {
        "percent_7d_active_users": "string",
        "num_7d_active_users": "string",
        "date": "2024-01-01T00:00:00.000Z"
      }
    ],
    "tableNoQueries": [
      {
        "count": 0,
        "lastName": "string",
        "firstName": "string",
        "userUuid": "string"
      }
    ],
    "tableMostCreatedCharts": [
      {
        "count": 0,
        "lastName": "string",
        "firstName": "string",
        "userUuid": "string"
      }
    ],
    "tableMostQueries": [
      {
        "count": 0,
        "lastName": "string",
        "firstName": "string",
        "userUuid": "string"
      }
    ],
    "numberWeeklyQueryingUsers": 0,
    "numberAdmins": 0,
    "numberEditors": 0,
    "numberInteractiveViewers": 0,
    "numberViewers": 0,
    "numberUsers": 0
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}